export { getPageId };
import { route } from '../../shared/route/index.js';
import { createPageContext } from './createPageContext.js';
async function getPageId(url) {
    const pageContext = await createPageContext({ urlOriginal: url });
    const routeContext = await route(pageContext);
    const pageFilesAll = pageContext._pageFilesAll;
    const pageConfigs = pageContext._pageConfigs;
    if (!('pageContextAddendum' in routeContext)) {
        return { pageId: null, pageFilesAll, pageConfigs };
    }
    const pageId = routeContext.pageContextAddendum._pageId;
    if (!pageId) {
        return { pageId: null, pageFilesAll, pageConfigs };
    }
    return { pageId, pageFilesAll, pageConfigs };
}
