export { getConfigEnv };
export { isConfigSet };
import { getConfigValueSource } from '../../../shared/getConfigValueSource.js';
import { assert, assertIsNotProductionRuntime } from '../../../utils.js';
assertIsNotProductionRuntime();
function getConfigEnv(pageConfig, configName) {
    const configValueSource = getConfigValueSource(pageConfig, configName);
    if (!configValueSource)
        return null;
    if (configValueSource) {
        return configValueSource.configEnv;
    }
    else {
        // In case of effect/computed config values, there isn't any configValueSource
        // TODO: make it work for custom config definitions
        //  - Ideally set configValueSource also for effect/computed config values?
        assert(false, 'TODO');
        /*
        const configDef = configDefinitionsBuiltIn[configName as keyof typeof configDefinitionsBuiltIn]
        if (!configDef) return null
        return configDef.env
        */
    }
}
function isConfigSet(pageConfig, configName) {
    const configValueSource = getConfigValueSource(pageConfig, configName);
    // Enable users to suppress global config values by overriding the config's value to null
    if (configValueSource?.value === null)
        return false;
    return !!configValueSource;
}
