export { assertClientEntryId };
import { getGlobalContext } from '../../globalContext.js';
import { assert, assertPosixPath, isNpmPackageImport } from '../../utils.js';
import { isVirtualFileIdPageConfigValuesAll } from '../../../shared/virtual-files/virtualFilePageConfigValuesAll.js';
function assertClientEntryId(id) {
    assertPosixPath(id);
    assert(!id.startsWith('/@fs'), id);
    const isPkg = isNpmPackageImport(id);
    assert(
    // Client entry
    id.startsWith('@@vite-plugin-ssr/') ||
        // User files
        id.startsWith('/') ||
        // Page code importer
        isVirtualFileIdPageConfigValuesAll(id) ||
        // Stem packages
        isPkg, id);
    if (isPkg) {
        const { configVps } = getGlobalContext();
        assert(configVps === null || configVps.extensions.some(({ npmPackageName }) => id.startsWith(npmPackageName)), id);
    }
}
