export { addFileExtensionsToRequireResolve };
import { assert } from './assert.js';
import { scriptFileExtensionList } from './isScriptFile.js';
function addFileExtensionsToRequireResolve() {
    const added = [];
    scriptFileExtensionList.forEach((ext) => {
        assert(!ext.includes('.'));
        ext = `.${ext}`;
        if (!require.extensions[ext]) {
            require.extensions[ext] = require.extensions['.js'];
            added.push(ext);
        }
    });
    const clean = () => {
        added.forEach((ext) => {
            delete require.extensions[ext];
        });
    };
    return clean;
}
